function OnWarpEnter() 
	SetMarker("cs\\Warp_0074.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0072.wp" , 0 , 0)

	if ETAT_DAY == "D3" then 
		GUARD_ROOM_DOOR_0073 = true
		if GUARD_ROOM_DOOR_0073 then
			AnimationSetToEnd("hmc1",false)
			if not BED_SHEET_0074_D3 then
				PutObject("hpc1",false)
			end
			SetMarker("cs\\Warp_0074.wp" , 0 , 0) 
		else
			AnimationSetToStart("hmc1",true)
			SetMarker("hmc1",4,0)
			GUARD_ROOM_DOOR_0073 = true
		end
		if DEAD_GUARD_PASSAGE_0072_D3 then
			if DEAD_GUARD_COVERED then
				StartAnimationPart("hic1",3,4,-1,false)
			else
				AnimationSetToStart("hic1",false)
			end
			if PHILIP_DEAD_GUARD_0072_D3 then
				StartAnimationPart("hhc1",0,20,-1,false)
			end
		end
		
	end 
	if ETAT_DAY == "D4" then 

	end
end

function OnWarpLeave()
end

function OnAnimationFinished(objectName)
	if objectName == "hmc1" then
		AnimationSetToEnd("hmc1",false)
		SetMarker("cs\\Warp_0074.wp" , 0 , 0) 
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0074.wp" then 
		if GUARD_CAPTURED_NOSTRADMUS and not DRESS_MONK and not TALK_QUEEN_D5 then
			DrawText("Ma1087","Ma1087.ogg",0) -- Non, j'ai quelque chose à faire avant...
		else
			ChangeWarp(objectName)
		end
	end

	if objectName == "3D\\cs\\Warp_0072.wp" then 
		ChangeWarp(objectName)
	end

	if ETAT_DAY == "D3" then 
		if objectName == "hpc1" then

		elseif objectName == "exc1" then

		elseif objectName == "hhc1" then

		elseif objectName == "hic1" then

		elseif objectName == "hmc1" then
			--if not GUARD_ROOM_DOOR_0073 then
				SetMarker("hmc1",-1,0)
				AnimationSetToStart("hmc1",false)
				SetMarker("cs\\Warp_0074.wp" , 0 , 0) 
			--end

		elseif objectName == "hoc1" then

		end
	end 
	if ETAT_DAY == "D4" then 
		if objectName == "hpc1" then

		elseif objectName == "exc1" then

		elseif objectName == "hhc1" then

		elseif objectName == "hic1" then

		elseif objectName == "hmc1" then

		elseif objectName == "hoc1" then

		end
	end
end
